package com.iamberry.wechat.tools;

import java.util.List;
import java.util.Map;

public class ValidationResult {

	//校验结果是否有错
	  private boolean hasErrors;
	  
	  //校验错误信息
	  private Map<String,String> errorMsg;
	   
	  private List<String> errorMsgList;

	  public boolean isHasErrors() {
	    return hasErrors;
	  }

	  public void setHasErrors(boolean hasErrors) {
	    this.hasErrors = hasErrors;
	  }

	  public Map<String, String> getErrorMsg() {
	    return errorMsg;
	  }

	  public void setErrorMsg(Map<String, String> errorMsg) {
	    this.errorMsg = errorMsg;
	  }

	  @Override
	  public String toString() {
	    return "ValidationResult [hasErrors=" + hasErrors + ", errorMsg="
	        + errorMsg + "]";
	  }

	public List<String> getErrorMsgList() {
		return errorMsgList;
	}

	public void setErrorMsgList(List<String> errorMsgList) {
		this.errorMsgList = errorMsgList;
	}
	  
	  
}
